org.apache.lucene.analysis.ko.tokenattributes

## Interface ReadingAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  ReadingAttributeImpl

    public interface ReadingAttribute
    extends Attribute

Attribute for Korean reading data

Note: in some cases this value may not be applicable, and will be null.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getReading()` Get the reading of the token.
`void` `setToken(Token token)` Set the current token.

### Method Detail

#### getReading

    String getReading()

Get the reading of the token.

#### setToken

    void setToken(Token token)

Set the current token.